> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperspell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Browse Entities

> List compact entity summaries for bounded interactive browsing.



## OpenAPI

````yaml https://api.hyperspell.com/openapi.json get /entities/browse
openapi: 3.1.0
info:
  title: Hyperspell API
  summary: >-
    Hyperspell is the memory layer for AI apps and agents. Through the API, you
    can add memories, connect data sources to index them in real-time, and
    search memories with our natural language query engine.
  termsOfService: https://hyperspell.com/blog/tos
  contact:
    name: Hyperspell
    url: https://hyperspell.com/
    email: hello@hyperspell.com
  version: 0.32.1
servers:
  - url: https://api.hyperspell.com
    description: Production
security: []
paths:
  /entities/browse:
    get:
      tags:
        - entities
      summary: Browse Entities
      description: List compact entity summaries for bounded interactive browsing.
      operationId: browse_entities_entities_browse_get
      parameters:
        - name: type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 128
              - type: 'null'
            title: Type
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/EntityStatus'
              - type: 'null'
            title: Status
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 256
              - type: 'null'
            description: Unsupported on this endpoint; use name_prefix.
            title: Search
          description: Unsupported on this endpoint; use name_prefix.
        - name: name_prefix
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 256
              - type: 'null'
            title: Name Prefix
        - name: min_supporting_documents
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 0
              - type: 'null'
            title: Min Supporting Documents
        - name: sort_by
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/EntitySortBy'
            default: id
        - name: sort_dir
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/EntitySortDir'
            default: asc
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 500
            minimum: 1
            default: 100
            title: Limit
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 4096
              - type: 'null'
            title: Cursor
        - name: X-As-User
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Optionally set this header to act as a specific user when using an
              API Key, equivalent to first exchanging the API Key for a User
              Token
            title: X-As-User
          description: >-
            Optionally set this header to act as a specific user when using an
            API Key, equivalent to first exchanging the API Key for a User Token
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EntityBrowseResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKey: []
components:
  schemas:
    EntityStatus:
      type: string
      enum:
        - provisional
        - confirmed
      title: EntityStatus
      description: How strongly the entity's current identity has been established.
    EntitySortBy:
      type: string
      enum:
        - id
        - name
        - type
        - prominence
      title: EntitySortBy
    EntitySortDir:
      type: string
      enum:
        - asc
        - desc
      title: EntitySortDir
    EntityBrowseResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/EntityBrowseSummaryResponse'
          type: array
          title: Items
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
      type: object
      required:
        - items
      title: EntityBrowseResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EntityBrowseSummaryResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        type:
          type: string
          title: Type
        name:
          type: string
          title: Name
        status:
          $ref: '#/components/schemas/EntityStatus'
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        supporting_document_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Supporting Document Count
        supporting_scope_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Supporting Scope Count
        record_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Record Count
        hard_linked_mention_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Hard Linked Mention Count
        prominence_calculated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Prominence Calculated At
        prominence_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Prominence Version
      type: object
      required:
        - id
        - type
        - name
        - status
        - created_at
        - updated_at
      title: EntityBrowseSummaryResponse
      description: Interactive list shape with the nullable prominence snapshot.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKey:
      type: http
      description: >-
        API Key or JWT User Token. If using an API Key, set the X-As-User header
        to act as a specific user. A JWT User Token is always scoped to a
        specific user.
      scheme: bearer
      bearerFormat: Bearer <token>

````